#ifndef EDITSCENE_LODSETTINGSEDITOR_HPP
#define EDITSCENE_LODSETTINGSEDITOR_HPP
#pragma once

#include "ComponentEditor.hpp"
#include "../components/LodSettings.hpp"

/**
 * Editor for LodSettingsComponent
 */
class LodSettingsEditor : public ComponentEditor<LodSettingsComponent> {
public:
	bool renderComponent(flecs::entity entity, LodSettingsComponent &settings) override;
	const char *getName() const override { return "LOD Settings"; }

private:
	void renderLodLevel(LodLevelConfig& level, int index);
};

#endif // EDITSCENE_LODSETTINGSEDITOR_HPP
